public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pymilter/
Date: Thu, 16 Feb 2023 03:29:16 +0000 (UTC)	[thread overview]
Message-ID: <1676517998.162cc2024b95b86d24947bbb7098c514821dea9c.sam@gentoo> (raw)

commit:     162cc2024b95b86d24947bbb7098c514821dea9c
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 15 23:46:30 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Feb 16 03:26:38 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=162cc202

dev-python/pymilter: add 1.0.5

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/pymilter/Manifest              |  1 +
 dev-python/pymilter/pymilter-1.0.5.ebuild | 35 +++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/pymilter/Manifest b/dev-python/pymilter/Manifest
index e462085db2f6..920a22aef5ac 100644
--- a/dev-python/pymilter/Manifest
+++ b/dev-python/pymilter/Manifest
@@ -1 +1,2 @@
 DIST pymilter-1.0.4.gh.tar.gz 1023222 BLAKE2B 1e5ce42af76ae1ac2f7cda87d40bdce404ed7e9fce9e88909572ec065f05e2c9effc8bc62d4fad113753ff7dc7e87c790515a9116615191745097cb2c3390042 SHA512 b356a10ffc0ba0172cdb228e4e15034e67c0fd82b4b8bbe1193e54e45e518626fd647033d824f2cd5a9d456154c528027726977d3ad2f2c2fe0e0155ad50d294
+DIST pymilter-1.0.5.gh.tar.gz 1030610 BLAKE2B 7af714ca771ad9c90a0b20b386f0d46d25fc5cd213c43f7c1c6edc1a9300f7bda987f46fa9a9b8add68f020c33783648f9187c3b05a34a4c13ad8a4ae7206f39 SHA512 d6cd291f3be5402d6e4ab824deba940c6500d970b30c8d73b2fb1952eede4ac784033a7ae0b9a7307f18a3bfd52fc3f40fb0a9cce6cb94e724fce5cc3e8eb25e

diff --git a/dev-python/pymilter/pymilter-1.0.5.ebuild b/dev-python/pymilter/pymilter-1.0.5.ebuild
new file mode 100644
index 000000000000..5c0256193435
--- /dev/null
+++ b/dev-python/pymilter/pymilter-1.0.5.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to sendmail milter API"
+HOMEPAGE="https://github.com/sdgathman/pymilter"
+SRC_URI="https://github.com/sdgathman/${PN}/archive/${P}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN}-${P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	dev-python/bsddb3[${PYTHON_USEDEP}]
+	mail-filter/libmilter:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	test? (
+		$(python_gen_impl_dep sqlite)
+		|| (
+			mail-mta/opensmtpd
+			mail-mta/sendmail
+		)
+	)
+"
+
+distutils_enable_tests unittest


             reply	other threads:[~2023-02-16  3:29 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-16  3:29 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-07  6:37 [gentoo-commits] repo/gentoo:master commit in: dev-python/pymilter/ Joonas Niilola
2023-05-04 16:30 Michał Górny
2023-05-01  4:31 Michał Górny
2023-05-01  1:53 Sam James
2023-02-16  3:29 Sam James
2023-02-16  3:29 Sam James
2022-08-04  1:45 Sam James
2022-06-05  8:08 Joonas Niilola
2022-03-21 10:01 Michał Górny
2022-03-16  8:07 Michał Górny
2022-03-15 18:16 Jakov Smolić
2022-01-29 21:19 Michał Górny
2020-10-15 22:12 Thomas Deutschmann
2020-10-15 22:12 Thomas Deutschmann
2020-10-13  9:26 Agostino Sarubbo
2020-08-20 14:55 Thomas Deutschmann
2019-10-15 15:01 Thomas Deutschmann
2019-06-09 11:28 Thomas Deutschmann
2019-06-07 19:13 Thomas Deutschmann
2019-06-07 18:53 Thomas Deutschmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1676517998.162cc2024b95b86d24947bbb7098c514821dea9c.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox